A plugin to use Contensquare in [webview_flutter](https://pub.dev/packages/webview_flutter) webviews.

This plugin supports Android and iOS.

## Features

This plugin exposes a custom implementation of the [Webview tracking feature](https://docs.contentsquare.com/flutter/#implementation-examples) which tracks [webview_flutter](https://pub.dev/packages/webview_flutter) package webviews without having to reimplement the tracker.

This package is not required to track these webviews but offers a convenient wrapper around the base `ContentsquareWebViewTrackerBuilder` class.

## Getting started

This package relies on the [contentsquare](https://pub.dev/packages/contentsquare) plugin, and does not need any additionnal configuration.

To see how to configure the [contentsquare](https://pub.dev/packages/contentsquare) plugin, [see the documentation](https://docs.contentsquare.com/flutter/).

## Usage

```dart
ContentsquareWebViewFlutterTrackerBuilder(
  builder: (context, tracker) {
    return WebView(
      initialUrl: 'https://your_tracked_webview.com',
      javascriptMode: JavascriptMode.unrestricted,
      onWebViewCreated: tracker.onWebViewCreated,
      javascriptChannels: tracker.javascriptChannels,
      onPageFinished: tracker.onPageFinished
    );
  },
)
```